<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.greenorange.promotion.mapper.SubUserProjectCommissionMapper">

    <resultMap id="BaseResultMap" type="com.greenorange.promotion.model.entity.SubUserProjectCommission">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="projectDetailId" column="projectDetailId" jdbcType="BIGINT"/>
            <result property="myUnitPrice" column="myUnitPrice" jdbcType="DECIMAL"/>
            <result property="currentCommissionRate" column="currentCommissionRate" jdbcType="DECIMAL"/>
            <result property="subUserId" column="subUserId" jdbcType="BIGINT"/>
            <result property="projectId" column="projectId" jdbcType="BIGINT"/>
            <result property="userId" column="userId" jdbcType="BIGINT"/>
            <result property="isDelete" column="isDelete" jdbcType="TINYINT"/>
            <result property="createTime" column="createTime" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="updateTime" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,projectDetailId,myUnitPrice,
        currentCommissionRate,subUserId,projectId,
        userId,isDelete,createTime,
        updateTime
    </sql>


<!--    <update id="executeUpdate" parameterType="String">-->
<!--        ${sql}-->
<!--    </update>-->

</mapper>
